//
//  TriggerPattern.cc   (W.Badgett)
//

#include "TriggerPattern.h"
#include "LariatFragment.h"
#include <stdexcept>

// Constructor
TriggerPattern::TriggerPattern()
{}

uint32_t TriggerPattern::streamToBuffer(std::ostream& output)
{
  uint32_t nBytes=0;

  output.write((char *)&triggerPattern,sizeof(TriggerPattern_t));
  nBytes += sizeof(TriggerPattern_t);

  return nBytes;
}


uint32_t TriggerPattern::fillFromBuffer(std::istream& input)
{
  uint32_t nBytes=0;

  input.read((char *)&triggerPattern,sizeof(TriggerPattern_t));
  nBytes += sizeof(TriggerPattern_t);

  return nBytes;
}

void TriggerPattern::printTriggerPattern(TriggerPattern_t pattern,
                                         std::ostream & os)
{
  os << pattern;
}

std::ostream& operator<<(std::ostream& os, 
			 const TriggerPattern::TriggerPattern_t& e)
{
  char line [256];

  sprintf(line,"  %8.8X    %8.8X ", e.timeStamp, e.inputPattern);
  os << line;
  return(os);
}

std::ostream& operator<<(std::ostream& os, const TriggerPattern& e)
{
  char line [256];

  sprintf(line,"  %8.8X    %8.8X ",
	  e.triggerPattern.timeStamp,
	  e.triggerPattern.inputPattern);
  os << line << std::endl;
  return(os);
}
